import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductKind extends Model { }
ProductKind.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    parent_id: { type: DataTypes.STRING(36), allowNull: true },
    name: { type: DataTypes.STRING, allowNull: false },
    is_folder: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    use_series: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    use_characteristics: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_kinds',
    tableName: 'products_kinds',
    indexes: [
    ]
});

export default ProductKind