import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Unit extends Model { }
Unit.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
}, {
    sequelize: instance,
    modelName: 'products_units',
    tableName: 'products_units',
    indexes: [
        { name: 'units_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default Unit