import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class TransactionsArticle extends Model { }
TransactionsArticle.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
}, {
    sequelize: instance,
    modelName: 'transactions_articles',
    tableName: 'transactions_articles',
    indexes: [
        { name: 'transactions_articles_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default TransactionsArticle