import { Model, DataTypes } from '@sequelize/core'
import instance from '../../instance.js'

class Notifications extends Model { }
Notifications.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    type: { type: DataTypes.STRING, allowNull: false },
    text: { type: DataTypes.STRING, allowNull: false },
    is_new: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: true },
    error_id: { type: DataTypes.STRING(36), allowNull: true, defaultValue: null },
}, {
    sequelize: instance,
    modelName: 'app_notifications',
    tableName: 'app_notifications',
    indexes: [
    ]
});

export default Notifications