export const COLORS = ['#8844cc', '#007788', '#44ff44', '#33aa88', '#ff5588', '#66bb77', '#aa5511', '#aa3399', '#5522cc', '#66aaff', '#99ff00']

export const TRANSACTION_PRESENTATIONS = {
    "CASH_IN": "Внесення готівки в касу",
    "CASH_OUT": "Виведення готівки з каси",
    "CASH_IN_AUTO": "Автоматичне внесення готівки в касу",
    "CASH_OUT_AUTO": "Автоматичне виведення готівки з каси",
    "SHIFT_OPEN": "Відкриття касової зміни",
    "SHIFT_CLOSE": "Закриття касової зміни",
    "GO_OFFLINE": "Перехід РРО в офлайн режим",
    "GO_ONLINE": "Перехід РРО в онлайн режим"
}
export const AQUIRING_VENDORS = [
    { id: 'PRIVAT', name: 'Приватбанк' },
    { id: 'OSHCHAD', name: 'Ощадбанк' }
]
export const FISCAL_VENDORS = [
    { id: 'CHECKBOX', name: 'ПРРО Чекбокс' },
    { id: 'CASHALOT', name: 'ПРРО Кашалот' }
]
export const SCALE_VENDORS = [
    { id: 'CAS', name: 'СAS' }
]

export const TRANSACTION_ARTICLES = [
    { id: '9bce6de4-8a73-427f-acb2-a77e592e8bc4', name: 'Інкасація' },
    { id: 'a8546265-c112-42a1-bf05-2b9fdb781109', name: 'Господарські витрати' },
    { id: 'c24c7ef5-ce3f-4119-98f0-485c57909fb8', name: 'Розрахунок із постачальником' },
    { id: '192a3c94-c85f-4368-90c8-940e6a867f01', name: 'Розмінна монета' },
    { id: 'b0932f78-92f9-47bf-832f-a20c6f411b67', name: 'Інше' },
]

export const DB_VERSION_KEY = 'database_version'
export const DB_REPLICATION_SENT_AT_KEY = 'last_replication_sent_at'
export const DB_REPLICATION_RECEIVED_AT_KEY = 'last_replication_received_at'


export default {
    AQUIRING_VENDORS,
    FISCAL_VENDORS,
    SCALE_VENDORS,
    COLORS,
    TRANSACTION_PRESENTATIONS,
    TRANSACTION_ARTICLES,
    DB_VERSION_KEY,
    DB_REPLICATION_SENT_AT_KEY,
    DB_REPLICATION_RECEIVED_AT_KEY
}