import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductActiveSubstance extends Model { }
ProductActiveSubstance.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_active_substances',
    tableName: 'products_active_substances',
    indexes: [
    ]
});

export default ProductActiveSubstance