import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Settings extends Model { }
Settings.init({
    key: { type: DataTypes.STRING, primaryKey: true, allowNull: false },
    type: { type: DataTypes.STRING, allowNull: false },
    value: { type: DataTypes.STRING, allowNull: false },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
}, {
    sequelize: instance,
    modelName: 'settings',
    tableName: 'settings',
    indexes: [
    ]
});
Settings.removeAttribute('id');

export default Settings