import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Good extends Model { }
Good.init({
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    document_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'reports_documents', key: 'id' } },
    //receipt_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'receipt_documents', key: 'id' } },
    product_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'products', key: 'id' } },
    series_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true }, //, references: { model: 'products_series', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },// references: { model: 'products_packing', key: 'id' } },
    tax_id: { type: DataTypes.STRING(36), allowNull: false },
    amount: { type: DataTypes.REAL, allowNull: false },
    price: { type: DataTypes.REAL, allowNull: false }
}, {
    sequelize: instance,
    modelName: 'reports_documents_goods',
    tableName: 'reports_documents_goods',
    indexes: [
    ]
});

export default Good