import { Model, DataTypes } from '@sequelize/core'
import instance from '../../instance.js'

class Errors extends Model { }
Errors.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    type: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    message: { type: DataTypes.TEXT, allowNull: false, defaultValue: '' },
    stack: { type: DataTypes.TEXT, allowNull: false, defaultValue: '' },
}, {
    sequelize: instance,
    modelName: 'app_errors',
    tableName: 'app_errors',
    indexes: [
    ]
});


export default Errors