import fs from 'fs'
import { app } from '../../config'

export default class FS {
    write(filepath, content) {
        const path = (filepath.includes('/') ? filepath.split('/') : filepath.split('\\')).filter(it => !!it)
        while (path.length > 1) {
            const path_node = path.shift()
            if (!fs.existsSync(`${app.path}\\${path_node}`)) fs.mkdirSync(`${app.path}\\${path_node}`)
        }
        fs.writeFileSync(app.path + filepath, content)
    }
} 