import CheckboxRegister from 'checkbox-prro'
import ExellioRegister from 'exellio-rro'
import MariaRegister from 'maria-rro'

type Register = CheckboxRegister | ExellioRegister | MariaRegister
declare class FiscalRegistersFactory {
    static registers: Array<any>;
    static addRegister(id: string, options: any): Promise<Register>;
    static getRegister(id: string): Promise<Register | null>;
    static removeRegister(id: string): void;
}
export default FiscalRegistersFactory;
