export default class Time {

    static #parse(value) {
        return value instanceof Date ? value.getTime() : +moment(date)
    }

    static duration(value) {
        return Date.now() - Time.#parse(value)
    }

    static more(date_1 = Date.now(), date_2 = Date.now()) {
        return Time.#parse(date_1) > Time.#parse(date_2)
    }

    static less(date_1 = Date.now(), date_2 = Date.now(), offset = 0) {
        return Time.#parse(date_1) < Time.#parse(date_2)
    }
}