const lang = {
    "ц": "c",
    "у": "u",
    "к": "k",
    "е": "e",
    "н": "n",
    "г": "g",
    "ш": "sh",
    "з": "z",
    "х": "h",
    "ї": "i",
    "ф": "f",
    "і": "i",
    "в": "v",
    "а": "a",
    "п": "p",
    "р": "r",
    "о": "o",
    "л": "l",
    "д": "d",
    "д": "d",
    "ж": "j",
    "дж": "j",
    "є": "e",
    "я": "a",
    "ч": "ch",
    "с": "s",
    "м": "m",
    "т": "t",
    "б": "b",
    "ю": "u",
    "кс": "x"
}
const lang2 = {
    a: "я",
    b: "б",
    c: "ц",
    ch: "ч",
    d: "д",
    e: "є",
    f: "ф",
    g: "г",
    h: "х",
    i: "і",
    j: "ж",
    q: "к",
    k: "к",
    l: "л",
    m: "м",
    n: "н",
    o: "о",
    p: "п",
    r: "р",
    s: "с",
    sh: "ш",
    t: "т",
    u: "ю",
    v: "в",
    w: "в",
    x: "кс",
    z: "з",
}
export default {
    toCirilyc: (text) => {
        let input = text.toLowerCase()
        let result = ""
        for (let i = 0; i < input.length; i++) {
            if (i < (input.length - 1) && (input[i] === 'c' || input[i] === 's') && input[i + 1] === 'sh') {
                let letter = lang2[input[i] + input[i + 1]]
                result += letter ? letter : ''
                i++
            } else {
                let letter = lang2[input[i]]
                result += letter ? letter : ''
            }
        }
        return result
    },
    toLatin: (text) => {
        let input = text.toLowerCase()
        let result = ""
        for (let i = 0; i < input.length; i++) {
            let letter = null
            if (i < (input.length - 1)) {
                if (input[i] === 'д' && input[i + 1] === 'ж') {
                    letter = lang[input[i] + input[i + 1]]
                }
                if (input[i] === 'к' && input[i + 1] === 'с') {
                    letter = lang[input[i] + input[i + 1]]
                }
                if (letter) {
                    result += letter ? letter : ''
                    i++
                    continue
                }

            }
            letter = lang[input[i]]
            result += letter ? letter : ''
        }
        return result
    },
    isLatin: (text) => {
        return /[a-zA-Z]{1,}/.test(text)
    }
}